const fs = require('fs')

function isdir(p){
  try{
    const stats = fs.statSync(p)
    return stats.isDirectory()
  }catch(e){
    return false
  }
}

function isfile(p){
  try{
    const stats = fs.statSync(p)
    return stats.isFile()
  }catch(e){
    return false
  }
}

function error(content){
  console.error(`\nERROR: ${content}\n`)
}

module.exports = {
  isdir,
  isfile,
  error,
}
